import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
part 'contant_list_model.g.dart';


@JsonSerializable()
class ContantListModel extends Equatable{
  final int id;
  final String content;
  final int isChecked;
    factory ContantListModel.fromJson(Map<String, dynamic> json) =>_$ContantListModelFromJson(json);


  const ContantListModel({
    required this.id,
    required this.content,
    required this.isChecked,
  });
  @override
  List<Object?> get props => [id,content,isChecked];
}